/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.9-dev10
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', process.cwd()+'/src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require(process.cwd()+'/src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.ftclient);
  }
}(this, function(expect, ftclient) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new ftclient.ForceBuyResponse();
  });

  var getProperty = function(object, getter, property) {
    // Use getter method if present; otherwise, get the property directly.
    if (typeof object[getter] === 'function')
      return object[getter]();
    else
      return object[property];
  }

  var setProperty = function(object, setter, property, value) {
    // Use setter method if present; otherwise, set the property directly.
    if (typeof object[setter] === 'function')
      object[setter](value);
    else
      object[property] = value;
  }

  describe('ForceBuyResponse', function() {
    it('should create an instance of ForceBuyResponse', function() {
      // uncomment below and update the code to test ForceBuyResponse
      //var instane = new ftclient.ForceBuyResponse();
      //expect(instance).to.be.a(ftclient.ForceBuyResponse);
    });

    it('should have the property tradeId (base name: "trade_id")', function() {
      // uncomment below and update the code to test the property tradeId
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property pair (base name: "pair")', function() {
      // uncomment below and update the code to test the property pair
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property isOpen (base name: "is_open")', function() {
      // uncomment below and update the code to test the property isOpen
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property exchange (base name: "exchange")', function() {
      // uncomment below and update the code to test the property exchange
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property amount (base name: "amount")', function() {
      // uncomment below and update the code to test the property amount
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property amountRequested (base name: "amount_requested")', function() {
      // uncomment below and update the code to test the property amountRequested
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property stakeAmount (base name: "stake_amount")', function() {
      // uncomment below and update the code to test the property stakeAmount
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property strategy (base name: "strategy")', function() {
      // uncomment below and update the code to test the property strategy
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property buyTag (base name: "buy_tag")', function() {
      // uncomment below and update the code to test the property buyTag
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property timeframe (base name: "timeframe")', function() {
      // uncomment below and update the code to test the property timeframe
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property feeOpen (base name: "fee_open")', function() {
      // uncomment below and update the code to test the property feeOpen
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property feeOpenCost (base name: "fee_open_cost")', function() {
      // uncomment below and update the code to test the property feeOpenCost
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property feeOpenCurrency (base name: "fee_open_currency")', function() {
      // uncomment below and update the code to test the property feeOpenCurrency
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property feeClose (base name: "fee_close")', function() {
      // uncomment below and update the code to test the property feeClose
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property feeCloseCost (base name: "fee_close_cost")', function() {
      // uncomment below and update the code to test the property feeCloseCost
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property feeCloseCurrency (base name: "fee_close_currency")', function() {
      // uncomment below and update the code to test the property feeCloseCurrency
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property openDate (base name: "open_date")', function() {
      // uncomment below and update the code to test the property openDate
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property openTimestamp (base name: "open_timestamp")', function() {
      // uncomment below and update the code to test the property openTimestamp
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property openRate (base name: "open_rate")', function() {
      // uncomment below and update the code to test the property openRate
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property openRateRequested (base name: "open_rate_requested")', function() {
      // uncomment below and update the code to test the property openRateRequested
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property openTradeValue (base name: "open_trade_value")', function() {
      // uncomment below and update the code to test the property openTradeValue
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property closeDate (base name: "close_date")', function() {
      // uncomment below and update the code to test the property closeDate
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property closeTimestamp (base name: "close_timestamp")', function() {
      // uncomment below and update the code to test the property closeTimestamp
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property closeRate (base name: "close_rate")', function() {
      // uncomment below and update the code to test the property closeRate
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property closeRateRequested (base name: "close_rate_requested")', function() {
      // uncomment below and update the code to test the property closeRateRequested
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property closeProfit (base name: "close_profit")', function() {
      // uncomment below and update the code to test the property closeProfit
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property closeProfitPct (base name: "close_profit_pct")', function() {
      // uncomment below and update the code to test the property closeProfitPct
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property closeProfitAbs (base name: "close_profit_abs")', function() {
      // uncomment below and update the code to test the property closeProfitAbs
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property profitRatio (base name: "profit_ratio")', function() {
      // uncomment below and update the code to test the property profitRatio
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property profitPct (base name: "profit_pct")', function() {
      // uncomment below and update the code to test the property profitPct
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property profitAbs (base name: "profit_abs")', function() {
      // uncomment below and update the code to test the property profitAbs
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property profitFiat (base name: "profit_fiat")', function() {
      // uncomment below and update the code to test the property profitFiat
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property sellReason (base name: "sell_reason")', function() {
      // uncomment below and update the code to test the property sellReason
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property sellOrderStatus (base name: "sell_order_status")', function() {
      // uncomment below and update the code to test the property sellOrderStatus
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property stopLossAbs (base name: "stop_loss_abs")', function() {
      // uncomment below and update the code to test the property stopLossAbs
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property stopLossRatio (base name: "stop_loss_ratio")', function() {
      // uncomment below and update the code to test the property stopLossRatio
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property stopLossPct (base name: "stop_loss_pct")', function() {
      // uncomment below and update the code to test the property stopLossPct
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property stoplossOrderId (base name: "stoploss_order_id")', function() {
      // uncomment below and update the code to test the property stoplossOrderId
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property stoplossLastUpdate (base name: "stoploss_last_update")', function() {
      // uncomment below and update the code to test the property stoplossLastUpdate
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property stoplossLastUpdateTimestamp (base name: "stoploss_last_update_timestamp")', function() {
      // uncomment below and update the code to test the property stoplossLastUpdateTimestamp
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property initialStopLossAbs (base name: "initial_stop_loss_abs")', function() {
      // uncomment below and update the code to test the property initialStopLossAbs
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property initialStopLossRatio (base name: "initial_stop_loss_ratio")', function() {
      // uncomment below and update the code to test the property initialStopLossRatio
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property initialStopLossPct (base name: "initial_stop_loss_pct")', function() {
      // uncomment below and update the code to test the property initialStopLossPct
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property minRate (base name: "min_rate")', function() {
      // uncomment below and update the code to test the property minRate
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property maxRate (base name: "max_rate")', function() {
      // uncomment below and update the code to test the property maxRate
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property openOrderId (base name: "open_order_id")', function() {
      // uncomment below and update the code to test the property openOrderId
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

    it('should have the property status (base name: "status")', function() {
      // uncomment below and update the code to test the property status
      //var instance = new ftclient.ForceBuyResponse();
      //expect(instance).to.be();
    });

  });

}));
